Required role: admin or higher.
Retrieve one trust relationship by name, the name it was created under,
which is unique within the tenant (or, with platform, across the
platform-wide owner trusts).
| Path Parameters |
|---|
name string — REQUIRED |
| Responses |
|---|
200
Trust relationship retrieved | Schema — OPTIONAL |
|---|
audience string — OPTIONAL | description string — OPTIONAL | id uuidTrust relationship identifier. | issuer string | name string | role stringPossible values: [read, write, admin, owner] A role in the RBAC model. Declaration order defines the privilege order. | subject string |
|
403
Caller's role is below the required role | Schema — OPTIONAL |
|---|
detailsDetailed error metadata.
The contents of this field is determined by error_code. | error_code stringError code is a string that specifies this error type. | message stringHuman-readable error message. |
|
404
No relationship with that name | Schema — OPTIONAL |
|---|
detailsDetailed error metadata.
The contents of this field is determined by error_code. | error_code stringError code is a string that specifies this error type. | message stringHuman-readable error message. |
|
| Schema — OPTIONAL |
|---|
detailsDetailed error metadata.
The contents of this field is determined by error_code. | error_code stringError code is a string that specifies this error type. | message stringHuman-readable error message. |
|